from microbit import *

print("la boucle for va commencer...")
nb_passage = 0

while True:
    if button_a.is_pressed:
        for var in range(27, 30, 1):
            display.scroll("voici la valeur de l'itérateur")
            display.show(var)
            nb_passage = nb_passage + 1
    sleep(1000)
    display.scroll("la boucle for est terminée")
    sleep(1000)
    display.scroll("Il y a eu")
    display.show(nb_passage)
    display.scroll("passages dans la boucle for")